package org.zdevra.sparrow;

import org.zdevra.sparrow.message.Message;

/**
 * You will implement this interface when you want process discarded messages
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public interface DiscardStrategy
{
	/**
	 * Here you will implement discard procedure
	 * @param msg
	 */
	public void discard(Message<?> msg);
}
