package org.zdevra.sparrow.aggregator;

import org.zdevra.sparrow.actor.ActorHandlerBuilder;

/**
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public interface AggregatorBuilder extends ActorHandlerBuilder
{
	public AggregatorBuilder timeout(long timeout);

	public AggregatorBuilder withReleaseStrategy(ReleaseStrategy releasingStrategy);

	public AggregatorBuilder ofInstance(AggregatorStrategy aggregationStrategy);

	public AggregatorBuilder of(Class<?> aggregatorClass);
}
