package org.zdevra.sparrow.aggregator;

import org.zdevra.sparrow.message.Message;

import java.util.List;

/**
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public interface ReleaseStrategy
{
	/**
	 * Here you will implement code which handle un-aggregated expired messages for same correlation ID.
	 *
	 * @param messagesToBeReleased
	 */
	public void release(List<Message<?>> messagesToBeReleased);
}
