package org.zdevra.sparrow.splitter;

import org.zdevra.sparrow.message.Message;

import java.util.List;

/**
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public interface SplitterStrategy
{
	/**
	 * You will implement here procedure that split up incoming message into more messages of one sequence.
	 *
	 * @param message
	 *           incoming message
	 *
	 * @return sequence of messages
	 */
	public List<Message<?>> split(Message<?> message);
}
